Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • VibeCraft
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • 🚧 [Experimental] List data transfers
        • 🚧 [Experimental] Get data transfer
        • 🚧 [Experimental] Create data transfer
        • 🚧 [Experimental] Update data transfer
        • 🚧 [Experimental] Delete data transfer
        • 🚧 [Experimental] Activate data transfer
        • 🚧 [Experimental] Deactivate data transfer
        • 🚧 [Experimental] Get data transfer logs
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • DataTransferSourceArgs
  • DataTransferIncrementalTableArgs
  • RegularDataTransferTypeArgs
  • OneTimeDataTransferTypeArgs
  • DataTransferTypeArgs
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. DataTransfers
  4. 🚧 [Experimental] Create data transfer
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
    • DataTransferSourceArgs
    • DataTransferIncrementalTableArgs
    • RegularDataTransferTypeArgs
    • OneTimeDataTransferTypeArgs
    • DataTransferTypeArgs
  • Responses
  • 200 OK
    • Body

🚧 [Experimental] Create data transfer

Creates a transfer and returns an asynchronous operation. Use getLakehouseOperation to track completion.

RequestRequest

POST

https://api.datalens.tech/rpc/createDataTransfer

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "collectionId": "example",
  "name": "example",
  "description": "example",
  "labels": {},
  "config": {
    "source": {
      "postgresConnection": {
        "connectionId": "example",
        "database": "example"
      }
    },
    "destination": {
      "icebergNamespace": {
        "namespaceId": "example"
      }
    },
    "type": {
      "regular": {
        "cronExpression": "example",
        "tables": [
          null
        ]
      }
    },
    "tables": [
      "example"
    ]
  }
}

Name

Description

collectionId

Type: string

ID of the DataLens collection in which to create the transfer.

Min length: 1

Example: example

config

Type: object

destination

Type: object

icebergNamespace

Type: object

namespaceId

Type: string

ID of the destination Iceberg namespace.

Min length: 1

Example: example

Iceberg destination namespace settings.

Example
{
  "namespaceId": "example"
}

Destination settings.

Example
{
  "icebergNamespace": {
    "namespaceId": "example"
  }
}

source

Type: DataTransferSourceArgs

Exactly one source connection.

Example
{
  "postgresConnection": {
    "connectionId": "example",
    "database": "example"
  }
}

type

Type: DataTransferTypeArgs

Exactly one transfer mode: regular or one-time.

Example
{
  "regular": {
    "cronExpression": "example",
    "tables": [
      {
        "tableNamespace": "example",
        "tableName": "example",
        "cursorColumn": "example",
        "initialState": "example"
      }
    ]
  }
}

tables

Type: string[]

Source tables to transfer.

Example
[
  "example"
]

Transfer configuration.

Example
{
  "source": {
    "postgresConnection": {
      "connectionId": "example",
      "database": "example"
    }
  },
  "destination": {
    "icebergNamespace": {
      "namespaceId": "example"
    }
  },
  "type": {
    "regular": {
      "cronExpression": "example",
      "tables": [
        {}
      ]
    }
  },
  "tables": [
    "example"
  ]
}

name

Type: string

Name of the transfer.

Min length: 1

Max length: 63

Pattern: ^[a-zA-Z0-9_-]+$

Example: example

description

Type: string

Description of the transfer.

Max length: 256

Example: example

labels

Type: object

[additional]

Type: string

Max length: 63

Pattern: ^[-_0-9a-z]*$

Example: example

Transfer labels.

Example
{}

DataTransferSourceArgsDataTransferSourceArgs

Exactly one source connection.

Any of 3 types
  • Type: object

    postgresConnection

    Type: object

    connectionId

    Type: string

    ID of the source DataLens connection.

    Min length: 1

    Example: example

    database

    Type: string

    Source database name.

    Min length: 1

    Max length: 50

    Example: example

    PostgreSQL source connection settings.

    Example
    {
      "connectionId": "example",
      "database": "example"
    }
    
    Example
    {
      "postgresConnection": {
        "connectionId": "example",
        "database": "example"
      }
    }
    
  • Type: object

    clickhouseConnection

    Type: object

    connectionId

    Type: string

    ID of the source DataLens connection.

    Min length: 1

    Example: example

    database

    Type: string

    Source database name.

    Min length: 1

    Max length: 50

    Example: example

    ClickHouse source connection settings.

    Example
    {
      "connectionId": "example",
      "database": "example"
    }
    
    Example
    {
      "clickhouseConnection": {
        "connectionId": "example",
        "database": "example"
      }
    }
    
  • Type: object

    mysqlConnection

    Type: object

    connectionId

    Type: string

    ID of the source DataLens connection.

    Min length: 1

    Example: example

    database

    Type: string

    Source database name.

    Min length: 1

    Max length: 50

    Example: example

    MySQL source connection settings.

    Example
    {
      "connectionId": "example",
      "database": "example"
    }
    
    Example
    {
      "mysqlConnection": {
        "connectionId": "example",
        "database": "example"
      }
    }
    
Example
{
  "postgresConnection": {
    "connectionId": "example",
    "database": "example"
  }
}

DataTransferIncrementalTableArgsDataTransferIncrementalTableArgs

Name

Description

tableName

Type: string

Name of the source table.

Min length: 1

Example: example

tableNamespace

Type: string

Namespace or schema of the source table.

Min length: 1

Example: example

cursorColumn

Type: string

Column used to detect new and changed rows.

Example: example

initialState

Type: string

Initial cursor value for the first transfer run.

Example: example

Example
{
  "tableNamespace": "example",
  "tableName": "example",
  "cursorColumn": "example",
  "initialState": "example"
}

RegularDataTransferTypeArgsRegularDataTransferTypeArgs

Name

Description

regular

Type: object

cronExpression

Type: string

Five-field cron expression in UTC.

Example: example

tables

Type: DataTransferIncrementalTableArgs[]

Incremental snapshot settings.

Example
[
  {
    "tableNamespace": "example",
    "tableName": "example",
    "cursorColumn": "example",
    "initialState": "example"
  }
]

Regular transfer settings.

Example
{
  "cronExpression": "example",
  "tables": [
    {
      "tableNamespace": "example",
      "tableName": "example",
      "cursorColumn": "example",
      "initialState": "example"
    }
  ]
}
Example
{
  "regular": {
    "cronExpression": "example",
    "tables": [
      {
        "tableNamespace": "example",
        "tableName": "example",
        "cursorColumn": "example",
        "initialState": "example"
      }
    ]
  }
}

OneTimeDataTransferTypeArgsOneTimeDataTransferTypeArgs

Name

Description

oneTime

Type: object

One-time transfer settings.

Example
{}
Example
{
  "oneTime": {}
}

DataTransferTypeArgsDataTransferTypeArgs

Exactly one transfer mode: regular or one-time.

Any of 2 types
  • Type: RegularDataTransferTypeArgs

    Example
    {
      "regular": {
        "cronExpression": "example",
        "tables": [
          {
            "tableNamespace": "example",
            "tableName": "example",
            "cursorColumn": "example",
            "initialState": "example"
          }
        ]
      }
    }
    
  • Type: OneTimeDataTransferTypeArgs

    Example
    {
      "oneTime": {}
    }
    
Example
{
  "regular": {
    "cronExpression": "example",
    "tables": [
      {
        "tableNamespace": "example",
        "tableName": "example",
        "cursorColumn": "example",
        "initialState": "example"
      }
    ]
  }
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "id": "example",
  "description": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "createdBy": "example",
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "done": true,
  "metadata": {},
  "error": {
    "code": 0.5,
    "message": "example",
    "details": [
      null
    ]
  },
  "response": {}
}

Name

Description

done

Type: boolean

Whether the operation has completed.

id

Type: string

Unique ID of the operation.

Example: example

metadata

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation metadata.

Example
{}

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was created.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

ID of the operation creator.

Example: example

description

Type: string

Description of the operation.

Example: example

error

Type: object

code

Type: number

Operation error code.

message

Type: string

Operation error message.

Example: example

details

Type: unknown[]

Additional operation error details.

Example
[
  null
]

Operation error, if the operation failed.

Example
{
  "code": 0.5,
  "message": "example",
  "details": [
    null
  ]
}

modifiedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was last modified.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

response

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation response.

Example
{}

Была ли статья полезна?

Предыдущая
🚧 [Experimental] Get data transfer
Следующая
🚧 [Experimental] Update data transfer
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»